program frilenseri;
type
niz=array[1..20000] of double;
var N,i,j,k:longint;
  max:double;
  A,P,zarada:niz;
begin
readln(N); k:=0;
if (N<1) or (N>200000) then writeln('Broj frilensera ne sme biti manji od 1 ili veci od 200000') else begin
for i:=1 to N do begin
readln(A[i],P[i]);  if (A[i]<1) or (A[i]>1000000) or (P[i]<0) or (P[i]>100) then k:=1;
end;
if k=1 then writeln('Plata frilensera ne moze biti iznad 1000000, ili ispod 1, a broj procenata ne sme biti ispod 0 ili iznad 100') else begin
max:=0;
for i:=1 to N do begin
zarada[i]:=0;
for j:=1 to N do begin
if P[j]>=P[i] then zarada[i]:=zarada[i]+P[i]*A[j]/100;
end;
if zarada[i]>max then max:=zarada[i];
end;
writeln(max); end; end;
readln;
end.